import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _VZVirtioSocketConnection extends _NSObject {
    static alloc(): _VZVirtioSocketConnection;
    static new(): _VZVirtioSocketConnection;
    init(): _VZVirtioSocketConnection;
    /** Close the file descriptor that's associated with the socket. */
    close(): void;
    /** The destination port number of the connection. */
    destinationPort(): number;
    /** The source port number of the connection. */
    sourcePort(): number;
    /**
     * The file descriptor associated with the socket. Data is sent by writing to the file descriptor. Data is received by reading from the file descriptor. A file descriptor of -1 indicates a closed connection. The file descriptor is owned by the VZVirtioSocketConnection. It is automatically closed when the object is destroyed.
     */
    fileDescriptor(): number;
}
